All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.information.metadata
Class IndirectPermissionInfo

    com.sas.services.information.metadata.IndirectPermissionInfo

All Implemented Interfaces:
  IndirectPermissionInfoInterface, java.io.Serializable, java.rmi.Remote

    public class IndirectPermissionInfo

implements IndirectPermissionInfoInterface, java.io.Serializable

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface com.sas.services.information.metadata.IndirectPermissionInfoInterface
`IndirectPermissionInfoInterface.IndirectPermissionSource, IndirectPermissionInfoInterface.IndirectPermissionType`

Constructor Summary
`IndirectPermissionInfo()`

Method Summary
`MetadataInterface` | `getIndirectObject()` Returns the indirect Metadata object reference when an Permission comes from an ACT, UserGroup membership, or by Inheritance.
`java.lang.String` | `getIndirectPermissionCondition()` Returns the indirect permission condition value
`java.util.List<IndirectPermissionInfoInterface>` | `getIndirectPermissionInfo()` Returns one or more nested IndirectPermissionInfo instances that might describe an Inheritance path or levels of UserGroup membership.
`IndirectPermissionInfoInterface.IndirectPermissionSource` | `getIndirectPermissionSource()` Returns the Permission source (e.g. the ACT for a set permission coming from a UserGroup membership)
`IndirectPermissionInfoInterface.IndirectPermissionType` | `getIndirectPermissionType()` Returns an indirect Permission type (UserGroups/Roles at the same level OR multiple applied ACTs can have conflicting Grant/Deny settings.
`void` | `setIndirectObject(MetadataInterface indirectObject)`
`void` | `setIndirectPermissionCondition(java.lang.String indirectPermissionCondition)`
`void` | `setIndirectPermissionInfo(java.util.List<IndirectPermissionInfoInterface> indirectPermInfoList)`
`void` | `setIndirectPermissionSource(IndirectPermissionInfoInterface.IndirectPermissionSource indirectPermSource)`
`void` | `setIndirectPermissionType(IndirectPermissionInfoInterface.IndirectPermissionType indirectPermType)`
`java.lang.String` | `toString()`

Constructor Detail

### IndirectPermissionInfo

    public IndirectPermissionInfo()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getIndirectObject

    public MetadataInterface getIndirectObject()

  Description copied from interface: `IndirectPermissionInfoInterface`
  Returns the indirect Metadata object reference when an Permission comes from an ACT, UserGroup membership, or by Inheritance.

  Specified by:
    `getIndirectObject` in interface `IndirectPermissionInfoInterface`
  Returns:
    indirect object

### getIndirectPermissionType

    public IndirectPermissionInfoInterface.IndirectPermissionType getIndirectPermissionType()

  Description copied from interface: `IndirectPermissionInfoInterface`
  Returns an indirect Permission type (UserGroups/Roles at the same level OR multiple applied ACTs can have conflicting Grant/Deny settings. Deny always "wins" but information about the conflict may still be useful.)

  Specified by:
    `getIndirectPermissionType` in interface `IndirectPermissionInfoInterface`
  Returns:
    Permission type

### getIndirectPermissionSource

    public IndirectPermissionInfoInterface.IndirectPermissionSource getIndirectPermissionSource()

  Description copied from interface: `IndirectPermissionInfoInterface`
  Returns the Permission source (e.g. the ACT for a set permission coming from a UserGroup membership)

  Specified by:
    `getIndirectPermissionSource` in interface `IndirectPermissionInfoInterface`
  Returns:
    Permission type

### getIndirectPermissionCondition

    public java.lang.String getIndirectPermissionCondition()

  Description copied from interface: `IndirectPermissionInfoInterface`
  Returns the indirect permission condition value

  Specified by:
    `getIndirectPermissionCondition` in interface `IndirectPermissionInfoInterface`
  Returns:
    indirect permission condition value

### getIndirectPermissionInfo

    public java.util.List<IndirectPermissionInfoInterface> getIndirectPermissionInfo()

  Description copied from interface: `IndirectPermissionInfoInterface`
  Returns one or more nested IndirectPermissionInfo instances that might describe an Inheritance path or levels of UserGroup membership.

  Specified by:
    `getIndirectPermissionInfo` in interface `IndirectPermissionInfoInterface`
  Returns:
    indirect Permission info

### setIndirectObject

    public void setIndirectObject(MetadataInterface indirectObject)

### setIndirectPermissionType

    public void setIndirectPermissionType(IndirectPermissionInfoInterface.IndirectPermissionType indirectPermType)

### setIndirectPermissionSource

    public void setIndirectPermissionSource(IndirectPermissionInfoInterface.IndirectPermissionSource indirectPermSource)

### setIndirectPermissionCondition

    public void setIndirectPermissionCondition(java.lang.String indirectPermissionCondition)

### setIndirectPermissionInfo

    public void setIndirectPermissionInfo(java.util.List<IndirectPermissionInfoInterface> indirectPermInfoList)

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.